O'Reilly logo
  • Pr ta thinks this is interesting:

python functional_tests.py

From

Cover of Test-Driven Development with Python, 2nd Edition

Note

Sometimes it is worth checking the version number of Selenium, firefox and Geckodriver. By default using the prerequisite page it was installing Selenium version 1.14....

You might need Selenium 3.5 atleast to make it work and if you are using Geckodriver 19.1 then you also need to ensure the firefox version is 55 and above. Also note there are some issues with this driver for firefox 62 and 63.

https://github.com/mozilla/geckodriver/releases